PostgreSQL 8.2.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER OPERATOR CLASS

## Name

ALTER OPERATOR CLASS -- change the definition of an operator class

## Synopsis

    ALTER OPERATOR CLASS name USING index_method RENAME TO newname
    ALTER OPERATOR CLASS name USING index_method OWNER TO newowner

## Description

`ALTER OPERATOR CLASS` changes the definition of an operator class.

You must own the operator class to use `ALTER OPERATOR CLASS`. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have `CREATE` privilege on the operator class's schema. (These restrictions enforce that altering the owner doesn't do anything you couldn't do by dropping and recreating the operator class. However, a superuser can alter ownership of any operator class anyway.)

## Parameters

`name`

  The name (optionally schema-qualified) of an existing operator class.

`index_method`

  The name of the index method this operator class is for.

`newname`

  The new name of the operator class.

`newowner`

  The new owner of the operator class.

## Compatibility

There is no `ALTER OPERATOR CLASS` statement in the SQL standard.

## See Also

CREATE OPERATOR CLASS, DROP OPERATOR CLASS

Prev | Home | Next
ALTER OPERATOR | Up | ALTER ROLE